package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[用户对象组明细]
 */
public class UserGroupDetail implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    private boolean enableDirtyFlag;
    
    /**
     * 用户对象组明细名称
     */
    private String userGroupDetailName;

    @JsonIgnore
    private boolean userGroupDetailNameDirtyFlag;
    
    /**
     * 用户对象组明细标识
     */
    private String userGroupDetailId;

    @JsonIgnore
    private boolean userGroupDetailIdDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 用户对象
     */
    private String userObjectName;

    @JsonIgnore
    private boolean userObjectNameDirtyFlag;
    
    /**
     * 用户组名称
     */
    private String userGroupName;

    @JsonIgnore
    private boolean userGroupNameDirtyFlag;
    
    /**
     * 用户对象组标识
     */
    private String userGroupId;

    @JsonIgnore
    private boolean userGroupIdDirtyFlag;
    
    /**
     * 用户对象
     */
    private String userObjectId;

    @JsonIgnore
    private boolean userObjectIdDirtyFlag;
    

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }

    /**
     * 获取 [用户对象组明细名称]
     */
    @JsonProperty("usergroupdetailname")
    public String getUserGroupDetailName(){
        return this.userGroupDetailName ;
    }

    /**
     * 设置 [用户对象组明细名称]
     */
    @JsonProperty("usergroupdetailname")
    public void setUserGroupDetailName(String  userGroupDetailName){
        this.userGroupDetailName = userGroupDetailName ;
        this.userGroupDetailNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象组明细名称]脏标记
     */
    @JsonIgnore
    public boolean getUserGroupDetailNameDirtyFlag(){
        return this.userGroupDetailNameDirtyFlag ;
    }

    /**
     * 获取 [用户对象组明细标识]
     */
    @JsonProperty("usergroupdetailid")
    public String getUserGroupDetailId(){
        return this.userGroupDetailId ;
    }

    /**
     * 设置 [用户对象组明细标识]
     */
    @JsonProperty("usergroupdetailid")
    public void setUserGroupDetailId(String  userGroupDetailId){
        this.userGroupDetailId = userGroupDetailId ;
        this.userGroupDetailIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象组明细标识]脏标记
     */
    @JsonIgnore
    public boolean getUserGroupDetailIdDirtyFlag(){
        return this.userGroupDetailIdDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [用户对象]
     */
    @JsonProperty("userobjectname")
    public String getUserObjectName(){
        return this.userObjectName ;
    }

    /**
     * 设置 [用户对象]
     */
    @JsonProperty("userobjectname")
    public void setUserObjectName(String  userObjectName){
        this.userObjectName = userObjectName ;
        this.userObjectNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象]脏标记
     */
    @JsonIgnore
    public boolean getUserObjectNameDirtyFlag(){
        return this.userObjectNameDirtyFlag ;
    }

    /**
     * 获取 [用户组名称]
     */
    @JsonProperty("usergroupname")
    public String getUserGroupName(){
        return this.userGroupName ;
    }

    /**
     * 设置 [用户组名称]
     */
    @JsonProperty("usergroupname")
    public void setUserGroupName(String  userGroupName){
        this.userGroupName = userGroupName ;
        this.userGroupNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户组名称]脏标记
     */
    @JsonIgnore
    public boolean getUserGroupNameDirtyFlag(){
        return this.userGroupNameDirtyFlag ;
    }

    /**
     * 获取 [用户对象组标识]
     */
    @JsonProperty("usergroupid")
    public String getUserGroupId(){
        return this.userGroupId ;
    }

    /**
     * 设置 [用户对象组标识]
     */
    @JsonProperty("usergroupid")
    public void setUserGroupId(String  userGroupId){
        this.userGroupId = userGroupId ;
        this.userGroupIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象组标识]脏标记
     */
    @JsonIgnore
    public boolean getUserGroupIdDirtyFlag(){
        return this.userGroupIdDirtyFlag ;
    }

    /**
     * 获取 [用户对象]
     */
    @JsonProperty("userobjectid")
    public String getUserObjectId(){
        return this.userObjectId ;
    }

    /**
     * 设置 [用户对象]
     */
    @JsonProperty("userobjectid")
    public void setUserObjectId(String  userObjectId){
        this.userObjectId = userObjectId ;
        this.userObjectIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象]脏标记
     */
    @JsonIgnore
    public boolean getUserObjectIdDirtyFlag(){
        return this.userObjectIdDirtyFlag ;
    }



}
